summaryrefslogtreecommitdiff
path: root/dev-python/python-systemd
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-systemd')
-rw-r--r--dev-python/python-systemd/Manifest1
-rw-r--r--dev-python/python-systemd/metadata.xml11
-rw-r--r--dev-python/python-systemd/python-systemd-235.ebuild36
3 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/python-systemd/Manifest b/dev-python/python-systemd/Manifest
new file mode 100644
index 000000000000..995668ddefba
--- /dev/null
+++ b/dev-python/python-systemd/Manifest
@@ -0,0 +1 @@
+DIST python-systemd-235.gh.tar.gz 59858 BLAKE2B 8dbf112773dce4dfe9fb2b0e660a349481fa29c9532c5aa2d125e5bfc255b2408f63b5bd873b6fee9ebbad775ecfaf32497593b17052189797403fa31b05fd6f SHA512 f1286a477200cc7b4d2c44b43452da576e8e660925711466659795775bcee44796688e1ede6cc22e61cb5b03e631c396d22f9a133327ae1147506bce09bab47f
diff --git a/dev-python/python-systemd/metadata.xml b/dev-python/python-systemd/metadata.xml
new file mode 100644
index 000000000000..32b53b48b069
--- /dev/null
+++ b/dev-python/python-systemd/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>systemd@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">systemd/python-systemd</remote-id>
+ <remote-id type="pypi">python-systemd</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/python-systemd/python-systemd-235.ebuild b/dev-python/python-systemd/python-systemd-235.ebuild
new file mode 100644
index 000000000000..fb6f665e706e
--- /dev/null
+++ b/dev-python/python-systemd/python-systemd-235.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2015-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for native access to the systemd facilities"
+HOMEPAGE="https://github.com/systemd/python-systemd"
+SRC_URI="https://github.com/systemd/python-systemd/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+DEPEND="sys-apps/systemd:="
+RDEPEND="${DEPEND}
+ !sys-apps/systemd[python(-)]
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ # https://bugs.gentoo.org/690316
+ distutils-r1_python_compile -j1
+}
+
+python_test() {
+ unset NOTIFY_SOCKET
+ cd "${T}" || die
+ epytest --pyargs systemd -o cache_dir="${T}"
+}